import { Exome } from "exome";
interface ActionStatus<E = any> {
    loading: boolean;
    error: false | E;
    unsubscribe: () => void;
}
/**
 * Subscribes to specific action in specific instance and returns satus about that action.
 */
export declare function getActionStatus<E = Error, T extends Exome = any>(store: T, action: keyof T): ActionStatus<E>;
export {};
